import request from '@/utils/request'
// 货主身份列表
export function getList(data) {
  return request({
    url: '/cargoOwnerInfo/selectCargoOwnerInfoPage',
    method: 'get',
     params: data,
  })
}
// 货主身份审核
export function toExamine(data) {
  return request({
    url: '/cargoOwnerInfo/api/examine',
    method: 'post',
     data: data,
  })
}
// 货主消息发送
export function postNews(data) {
  return request({
    url: '/newsInfo/api/addNewsInfo',
    method: 'post',
     data: data,
  })
}
// 货主任务列表
export function getListLook(data) {
  return request({
    url: '/publishTaskInfo/selectTask',
    method: 'get',
     params: data,
  })
}
// 货主任务审核
export function toTaskExamine(data) {
  return request({
    url: '/publishTaskInfo/api/examine',
    method: 'post',
     data: data,
  })
}
// 货主授权审核
export function GrantList(data) {
  return request({
    url: '/cargoOwnerCompInfo/selectCargoOwnerCompInfoPage',
    method: 'get',
     params: data,
  })
}

// 货主授权审核
export function toGrantExamine(data) {
  return request({
    url: '/cargoOwnerCompInfo/api/examine',
    method: 'post',
     data: data,
  })
}


export function getBillList(data) {
  return request({
    url: '/hyCargoOwnerCapitalInfo/selectBill',
    method: 'get',
     params: data,
  })
}
//修改货主垫付比例
export function editInfo(data) {
  return request({
    url: '/cargoOwnerInfo/api/editProportion',
    method: 'post',
     data: data,
  })
}
// 货主身份
export function getInfo(data) {
  return request({
    url: '/hyCargoOwnerPayeeInfo/getPayee',
    method: 'get',
     params: data,
  })
}
// 充值
export function theRecharge(data) {
  return request({
    url: '/hyCargoOwnerCapitalInfo/api/recharge',
    method: 'post',
     data: data,
  })
}
// 禁用
export function forbidden(data) {
  return request({
    url: '/commonUser/editUserInfo',
    method: 'post',
     data: data,
  })
}
